Bug 17502 - [XSLT 3.0] Allow use of external serialization parameters file
Summary: [XSLT 3.0] Allow use of external serialization parameters file
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 (show other bugs)
Version: Working drafts
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Michael Kay
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-15 11:08 UTC by Michael Kay
Modified: 2013-02-12 21:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-06-15 11:08:35 UTC
We should allow xsl:output or xsl:result-document to refer to an external file of serialization parameters as defined in the Serialization 3.0 specification.

(Note: XQuery 3.0 does not say whether this file is retrieved at compile time or at run time. I think we should specify this one way or the other, since this has a bearing on interoperability.)
Comment 1 Michael Kay 2013-02-11 15:43:55 UTC
Note XQuery uses the name "parameter-document" for this purpose.

Note also xsl:output parameters are static and result-document parameters are dynamic, so users get a choice.

Action on editor to write up the detailed changes to implement this.

* New attribute parameter-document on xsl:output and xsl:result-document

* Value for xsl:output is a URI, resolved against the stylesheet base URI

* Value for xsl:result-document is an AVT whose effective value is a URI, resolved against the stylesheet base URI

* Need to define which takes priority:

- parameter-document wins over explicit attribute of result-document which wins over the named output format

* What about handling of absent/malformed parameter document?

- serialization error if malformed; document ignored if absent.
Comment 2 Michael Kay 2013-02-12 21:39:16 UTC
Changes applied as agreed (draft N).